


                              THE BILLER4 PROGRAM.
        
                       Author:   N.Steel,
                                 17, St Judes Avenue,
                                 Nottingham, NG3 5FG.
                                 Telephone: (0602) 606161.
        
                  Registration Fee for unrestricted version: 30
        
             BILLER4  is  a program to assist in controlling  a  contract 
        supply  business by controlling the orders, deliveries,  invoices 
        and  payments. No stock control is included, making  the  program 
        ideal  for  the businessman who doesn't want to be  tied  to  the 
        computer all day.
        
             The orders are input to the computer, which then can  calcu-
        late  how  much  of the various commodities are  required  for  a 
        specific  days  deliveries.  When the orders  are  made  up,  the 
        weights of the commodities delivered are entered into the comput-
        er.  The  computer then has all the necessary data to  print  out 
        invoices,  which  can  be done for a single customer,  or  as  an 
        "invoice print run". Payments are entered as they come in and the 
        customer files are updated accordingly. The state of the business 
        can be viewed at any time, so enabling credit control measures to 
        be taken as required. 
        
             BILLER4  was  originally written for a meat  contractor  and 
        provides for up to 6 different price lists and, in the full  ver-
        sion, provision for up to 999 different customers and commodities 
        - the shareware version limits the number of customers to 16. The 
        invoice layout provides a stark contrast with that of many  soft-
        ware packages, with the provision for a customised header  either 
        derived from a text editor, (using the IBM extended character set 
        for block graphics), or one of the drawing programs able to print 
        to  a  file. In line with the original application, there  is  no 
        provision for VAT in this version.
        
             BILLER4  requires an IBM compatible computer with  at  least 
        512K of RAM and a printer capable of printing the full IBM  char-
        acter set - which most do anyway. It can be run from a hi-capaci-
        ty  floppy drive but, as with all database applications, the  use 
        of a hard drive is strongly recommended. The data files used  are 
        dBASE III compatible.
        
             Whilst  there are no bugs that the author is aware  of,  the 
        conditions  of use are outside his control, so that no  guarantee 
        can  be  offered as to the suitability of the  software  for  any 
        application,  nor  can any liability be accepted for  any  conse-
        quence  of the use of this software. The unrestricted version  of 
        the  software is available on payment of the 30 licence  fee  to
        the  author and includes a printed manual, defined password,  two 
        weeks telephone support and updates at a nominal charge.






        The files on the disc are as follows:
        
             BILLER4.EXE    The main executable program
             COMMOD1.DBF
                 to
             COMMOD6.DBF    The six commodity lists with one 
                            nominal entries
             CUSTOMER.DBF   The customer list, with sixteen nominal
                            entries.
             ORDERS.DBF     The file containing the orders
             DELIVERD.DBF   The file containing deliveries to be invoiced
             SUMMARY.DBF    Summary of deliveries.
             1.DBF etc      The customer files
             TOTS.DBF       Temporary file for the program
             TTOTS.DBF      Ditto.
             LOGO.ASC       A sample header file
             BILLER4.MAN    This file, formatted for printing.
        
             To  install  the software, copy all these files  to  a  high 
        capacity floppy disc, or a subdirectory of the hard disc. To  run 
        the program, make this disc/subdirectory the default and type:
        
                       BILLER4 (+C/R)
        
        The program will now load and display the Main Menu. As a precau-
        tion against the menu "burning in" on the screen, if a key  isn't 
        pressed  for 5 minutes, the menu is replaced by a message  moving 
        about the screen. Pressing a key will restore the menu.
        
             Before  looking at the options available from the  displayed 
        main menu, a word about the way the customer and commodity  files 
        are  organised. All customers and commodities are referred to  by 
        number, which may seem strange at first, but avoids anomalies due 
        to typing errors on inputting data and is much faster in use. The 
        user  soon  learns the numbers they require, though there  is  an 
        option  to  choose from the list, which is  invoked  whenever  an 
        invalid  number  is input. A list  of  the  customers/commodities 
        appears  in a window: the user moves through the list  using  the 
        arrow  keys  &/or  PgUp, PgDn keys until the  required  entry  is 
        highlighted. Pressing the Enter key then selects the  highlighted 
        entry.
        
             Many of the options require a password to be input. In  this 
        version,  the password used is KEF. The intention is  to  protect 
        sensitive information on the database.
        
        A  brief description of the options on the Main Menu is  as  fol-
        lows:
        
        A. Enter Orders:
             The user is asked if the orders are to be edited. Pressing Y 
        in response displays the orders four at a time, with options  for 
        Nextpage,  Prevpage, Edit, goTop, goBottom,Delete and  eXit  each 
        chosen  by pressing the capitalised letter key. The  edit  option 
        enables the record fields to be edited, moving around the  screen 
        using  the  arrow keys. When the cursor has been moved  past  the 
        last  field on the screen, the display reverts to the view  mode, 
        showing  any  changes made. On leaving the  option,  the  program 
        returns to the main menu.
             If the user chooses not to edit the orders, the order  input 
        screen  is  displayed.  The data is typed in and,  when  all  the 
        information  for the order has been put in, the user is asked  to 
        confirm  the entry. Pressing Y or y confirms the entry, which  is 






        then stored. Pressing N or n allows the data to be re-entered. To 
        make  data  entry quicker, the data from the  previous  entry  is 
        carried  over  to the next. To exit the option, enter 0  for  the 
        Customer Number.
        
        B. Enter Deliveries:
             The  orders  for  the set date will  be  displayed  and  the 
        weights  delivered  will  be requested. Where a  zero  weight  is 
        entered, this order will remain on the orders file.
             When all the orders have been gone through, the user will be 
        asked for any additional deliveries not on the orders file.  This 
        sequence works exactly the same as option A above.
        
        C. Enter Payments:
             The computer requests the customer number, order number  and 
        whether  a  Payment(P) or Credit(C). For payments,  the  computer 
        searches  the customers file for unpaid invoices with that  order 
        number. A successful search will show the invoice amount and  ask 
        for  confirmation  - confirmation marks the invoice as  paid.  As 
        several  invoices  may be paid by the same cheque, the  total  of 
        paid invoices is also displayed on the screen. When all  matching 
        invoices  have  been  displayed, the computer  asks  for  another 
        payment. Exit the option by entering 0 for the customer number.
        
        D. Manual Invoice:
             This  enables a manual invoice to be printed out.  The  data 
        entry is essentially the same as for option A. When all the  data 
        is has been entered, an invoice is printed out. The data  entered 
        for this option is not stored on disc.
        
        E. Print Invoice(s):
             This option enables the invoices to be printed out. The user 
        is asked if a single invoice is required. On confirming this, the 
        customer number is requested and the invoice for this customer is 
        then printed. If a single customer is not requested, the computer 
        then  prints  out the invoices for all customers who  have  unin-
        voiced deliveries outstanding.
        
        F. Print Orders for Day:
             This  option  requests  the date for which  the  orders  are 
        required, then prints out TO THE PRINTER the orders for that day.
        
        G. Sum Commodities for Day:
             This works similarly to option F, except that it prints  the 
        totals for each commodity for the day. It is useful to  establish 
        how  much  of the commodities are required to  fulfil  the  days' 
        orders.
        
        H. Print Invoice/Payment file:
             The customer number is requested, followed by the choice  of 
        output  to  screen(S) or printer(P). The customers file  is  then 
        printed.
             The  categories  used are transaction  date,  order  number, 
        payment  date, transaction type -  (Invoice/Payment/Credit),  In-
        voice  number, amount and balance. n.b. a negative balance  shows 
        money owed by the customer.
        
        I. Edit/Append Customer List:
             The three options are Edit,Append and eXit. For editing, the 
        customers  number  is requested, the details are  then  shown  on 
        screen  for  editing. Choosing Append gives blank  boxes  on  the 
        screen to take the details.
        






        J. Print Customer List:
             The list can be printed to screen(S) or printer(P).
        
        K. Edit/Append Commodity List:
             The  number  of  the commodity list is  requested  then  the 
        option is as per option I. Note that list no 1 is the MASTER list 
        and that the other lists should have the same commodities in  the 
        same order, though the prices can be different. If the lists  are 
        different in content or order, then option G will give  erroneous 
        data. Note that the prices are in PENCE per unit weight.
        
        L. Print Commodity List:
             Apart from asking which commodity list is required, this  is 
        the same as option J.
        
        M. Print Paper Headers:
             This  prints the header, (from the file LOGO.ASC), onto  the 
        specified number of sheets.
        
        N. Empty Payment File to Hard Copy:
             This option removes completed transactions from the  custom-
        ers files and prints them out to the printer to give a hard copy. 
        The option is mainly for when floppy discs are used, though  when 
        used with a hard disc system, the operation speed is enhanced  as 
        the size of the files is reduced.
        
        P. Print out Current Balances:
             This  option  prints  out the current balances  of  all  the 
        accounts. These can be printed to screen(S) or printer(P).
        
        R. Change the Date:
             This  enables  the system date to be changed.  The  previous 
        setting is stored and restored on exiting the program.
        
        S. Summary:
             This  option lists to the printer the totals of  commodities 
        supplied between the specified dates.
        
        T. Duplicate Invoice:
             This  enables  a  duplicate invoice to  be  produced.  After 
        asking for the customer number, the inclusive dates for  deliver-
        ies  are  requested  and after collating the  data,  a  duplicate 
        invoice is printed.
        
        ~. File Editor:
             This is not listed on the Main Menu, but enables any of  the 
        data files to be edited one record at a time. It is included as a 
        convenience,  but  users should be very wary  of  destroying  the 
        structure of the file, ESPECIALLY the payment files.
        
             One final point needs to be made and that is the subject  of 
        backing  up of the data files which contain all  the  information 
        that the system uses. Should a problem with the storage media  or 
        even a power cut occur and these files are lost, then the  situa-
        tion could be disasterous. To minimise the problems in the  event 
        of  this  happening, it is vital that backup copies of  the  data 
        files  are  regularly taken. It is not difficult to do  with  the 
        excellent  backup programs on the market e.g.  Fastbak,  PCTOOLS, 
        the  many  PD alternatives or even the MS-DOS  BACKUP  &  RESTORE 
        programs.
        
             A  three backup set system is recommended using set1,  set2, 
        set3,  then back to set1 etc. Backing up the data  files,  (those 






        with  the  .DBF extension), every time the program is used  is  a 
        very wise investment. The most that would be lost in the event of 
        a hiccup is one day's work.




